debmirror (1:2.47ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. (LP: #2139017) Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.
    - Previously un-noted: remove debian/.gitignore
    - Refresh patches, default to noble instead of jammy in examples.

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Sun, 25 Jan 2026 03:55:20 +0000

debmirror (1:2.47) unstable; urgency=medium

  [ Colin Watson ]
  * Refresh mirror_size documentation.

  [ Christoph Goehre ]
  * Create directories for installer before using them (closes: #1108274).

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Jul 2025 00:58:44 +0100

debmirror (1:2.46ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. (LP: #2115273)  Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.
    - Refresh patches, default to noble instead of jammy in examples.
    - Previously un-noted: remove debian/.gitignore

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Tue, 24 Jun 2025 13:51:57 -0500

debmirror (1:2.46) unstable; urgency=medium

  * Add a simple autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 May 2025 01:20:12 +0100

debmirror (1:2.45) unstable; urgency=medium

  [ Sascha Lucas ]
  * Add support for Ubuntu ESMApps.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 May 2025 14:00:01 +0100

debmirror (1:2.44) unstable; urgency=medium

  * Hide HTTP(S) credentials from progress output (closes: #1104091).

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Apr 2025 18:52:16 +0100

debmirror (1:2.43ubuntu2) plucky; urgency=medium

  * Refresh patches, default to noble instead of jammy in examples.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 23:56:17 -0600

debmirror (1:2.43ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 06 Jan 2025 20:17:29 -0600

debmirror (1:2.43) unstable; urgency=medium

  [ Colin Watson ]
  * Refresh mirror_size documentation.

  [ Alexey Dobrovolskiy ]
  * Correct and clarify several points in example debmirror.conf (closes:
    #865024).

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2025 10:24:08 +0000

debmirror (1:2.42ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 16:11:48 -0600

debmirror (1:2.42) unstable; urgency=medium

  * Apply X-Style: black.
  * Remove exclusion of Contents files for experimental and
    -proposed-updates (closes: #819925, #1080168).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Sep 2024 12:52:45 +0100

debmirror (1:2.41) unstable; urgency=medium

  * Refresh mirror_size documentation.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Jul 2024 11:21:41 +0100

debmirror (1:2.40ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.
    - Add missing build dependency and refresh quilt patches.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 10:25:02 -0500

debmirror (1:2.40) unstable; urgency=medium

  * Update mirror-size script to handle the current Debian archive, and
    refresh mirror_size documentation file (closes: #855247).

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Mar 2024 09:56:46 +0000

debmirror (1:2.39ubuntu2) noble; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.
    - Add missing build dependency and refresh quilt patches.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2024 16:15:26 -0600

debmirror (1:2.39) unstable; urgency=medium

  * perlcritic fixes:
    - Move "use strict" above all code.
    - Avoid declaring variables in conditional statements.
    - Don't use bareword file/directory handles.
    - Make all loop iterators lexical.
    - Don't modify $_ in list functions.
    - Don't use subroutine prototypes.
    - Add explicit return statements to subroutines.
    - Enable warnings lexically rather than using "perl -w".
    - Use "state" rather than a closure, avoiding some unreachable code.
    - Localize assignments to $| and $SIG{...}.
    - Use the block form of grep and map.
    - Avoid combining low- and high-precedence boolean operators.
    - Avoid comma-separated statements.
    - Unpack @_ first in a few subroutines.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jan 2024 00:55:39 +0000

debmirror (1:2.38ubuntu2) mantic; urgency=medium

  * Add missing build dependency and refresh quilt patches.
  * In addition to Ubuntu defaults in ubuntu-settings.patch, update the
    manpage so it reflects Ubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 20 Aug 2023 00:43:08 -0500

debmirror (1:2.38ubuntu1) mantic; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 21:51:04 -0500

debmirror (1:2.38) unstable; urgency=medium

  [ Neil Roza ]
  * check_file: Fix warning if $size is undefined.

  [ Colin Watson ]
  * Bump debhelper from old 12 to 13.

  [ Alexander Sulfrian ]
  * Two tiny fixes for the dependencies in the Makefile.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Jul 2023 12:15:43 +0100

debmirror (1:2.37) unstable; urgency=medium

  * Simplify a debhelper override slightly.
  * Add non-free-firmware to the default sections.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Oct 2022 12:46:52 +0100

debmirror (1:2.36ubuntu1) jammy; urgency=medium

  * Merge from Debian testing (LP: #1952248). Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Thu, 25 Nov 2021 17:40:15 +0200

debmirror (1:2.36) unstable; urgency=medium

  [ Sascha Lucas ]
  * Enable Ubuntu ESM mirroring.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libwww-perl and perl.
    + debmirror: Drop versioned constraint on libwww-perl and perl in Depends.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Nov 2021 11:32:24 +0000

debmirror (1:2.35ubuntu1) impish; urgency=medium

  * Merge from Debian stable (LP: #1940419). Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Thu, 03 Jun 2021 15:13:50 +0000

debmirror (1:2.35) unstable; urgency=medium

  [ Kees Cook ]
  * Remove temporary files created while verifying InRelease (closes:
    #961197).

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jun 2021 11:23:33 +0100

debmirror (1:2.34ubuntu1) impish; urgency=medium

  * Merge from Debian testing (LP: #1926120). Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Mon, 26 Apr 2021 15:00:09 +0300

debmirror (1:2.34) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Fix day-of-week for changelog entry 20040926.

  [ Colin Watson ]
  * Avoid two-argument open.
  * Avoid bareword file handles.
  * Correct example in debmirror(1) (closes: #970435).

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Feb 2021 17:33:50 +0000

debmirror (1:2.33ubuntu1) hirsute; urgency=medium

  * Resynchronise with Debian. (LP: #1892110) Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Sat, 22 Aug 2020 15:18:46 +0300

debmirror (1:2.33) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Strip trailing spaces and tabs from the content of clearsigned files
    before verifying the signature, in accordance with RFC 4880 section 7.1
    (closes: #943970).

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Dec 2019 00:24:23 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog debmirror`.
